Bug 214636 - Browser crashes on some multibyte character set sites
Browser crashes on some multibyte character set sites
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 13:46 EST by Matt Britt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-30 14:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Britt 2006-11-08 13:46:58 EST
Description of problem:
With Pango enabled, Gecko-based browsers will crash on some websites that use
multiple-byte character sets.

How reproducible:
Always

Steps to Reproduce:
1. Open Firefox or Galeon
2. Navigate to a page like http://hi.wikipedia.org/ or http://ja.wikipedia.org/
3. Crash 'n burn
4. Repeat process with Pango disabled; no crash observed

Additional info:
Disabling Pango by setting the environment variable MOZ_DISABLE_PANGO=1 stops
crashes.
Comment 1 Liang Zhang 2007-09-28 04:29:42 EDT
The upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=481201
Comment 2 Liang Zhang 2007-09-28 23:35:11 EDT
 Comment #1 from Behdad Esfahbod    (pango developer, points: 23)
2007-09-28 23:44 UTC [reply]

Not pango.  And I believe I fixed a major source of these crashes in
firefox+pango patch months ago.

Comment 3 Behdad Esfahbod 2007-09-30 14:52:45 EDT
I've fixed a bunch of stuff.

Note You need to log in before you can comment on or make changes to this bug.